Spotify
Get playlist contents
Playlist metadata plus its first 25 tracks with per-track artist and duration.
Costs 3 credits per request.
Authorization
ApiKeyAuth X-API-Key<token>
API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.
In: header
Query Parameters
id*string
Spotify playlist ID.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/spotify/get_playlist?id=37i9dQZF1DXcBWIGoYBM5M"{ "id": "string", "name": "Late Night Signals", "description": "string", "owner": { "id": "string", "display_name": "string" }, "followers": 0, "public": true, "collaborative": true, "total_tracks": 0, "duration_ms": 0, "tracks": [ { "position": 0, "id": "string", "title": "string", "artist": "string", "duration_ms": 0, "added_at": "2019-08-24T14:15:22Z" } ]}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}